package es.tid.planb.hornetq.security;

import java.util.List;
import java.util.Map;

import org.hornetq.spi.core.security.HornetQSecurityManagerImpl;

/**
 * Bean adaptor for {@link HornetQSecurityManagerImpl}
 * 
 * @author Eduardo Corral
 * @since 1.2
 */
public class HornetQSecurityManagerBean extends HornetQSecurityManagerImpl
{

    public HornetQSecurityManagerBean() {
        super();
    }
    
    /**
     * @param users Map of user and passwords
     * @param roles Map of user and list of roles
     */
    public HornetQSecurityManagerBean(Map<String, String> users, Map<String, List<String>> roles) {
        super();
        if (users != null && !users.isEmpty()) {
            for (Map.Entry<String, String> userEntry : users.entrySet()) {
                addUser(userEntry.getKey(), userEntry.getValue());
                if (roles.containsKey(userEntry.getKey())) {
                    for (String role : roles.get(userEntry.getKey())) {
                        addRole(userEntry.getKey(), role);
                    }
                }
            }
        }
    }
}
